Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.message.ds
Class StringDataSource

    java.lang.Object
      org.mule.message.ds.StringDataSource

All Implemented Interfaces:
  DataSource

    public class StringDataSource

extends Object
implements DataSource

Field Summary
`protected String` | `content`
`protected String` | `contentType`
`protected String` | `name`

Constructor Summary
`StringDataSource(String payload)`
`StringDataSource(String payload, String name)`
`StringDataSource(String content, String name, String contentType)`

Method Summary
`String` | `getContentType()`
`InputStream` | `getInputStream()`
`String` | `getName()`
`OutputStream` | `getOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### content

    protected String content

### contentType

    protected String contentType

### name

    protected String name

Constructor Detail

### StringDataSource

    public StringDataSource(String payload)

### StringDataSource

    public StringDataSource(String payload,
                            String name)

### StringDataSource

    public StringDataSource(String content,
                            String name,
                            String contentType)

Method Detail

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Specified by:
    `getInputStream` in interface `DataSource`
  Throws:
    `IOException`

### getOutputStream

    public OutputStream getOutputStream()

  Specified by:
    `getOutputStream` in interface `DataSource`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `DataSource`

### getName

    public String getName()

  Specified by:
    `getName` in interface `DataSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.